Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.http.server
Class HAInvokerWrapper

    java.lang.Object
      org.jboss.mx.util.DynamicMBeanSupport
          org.jboss.invocation.http.server.HAInvokerWrapper

All Implemented Interfaces:
  javax.management.DynamicMBean

public class HAInvokerWrapper
extends org.jboss.mx.util.DynamicMBeanSupport

This is an invoker that delegates to the target invoker and handles the wrapping of the response in an HARMIResponse with any updated HATarget info.

Version:
  $Revision: 1.3 $
Author:
  Scott Stark
See Also:
  `HttpProxyFactoryHA`

Constructor Summary
`HAInvokerWrapper(javax.management.MBeanServer mbeanServer, javax.management.ObjectName targetName, HATarget target)`

Method Summary
`javax.management.MBeanInfo` | `getMBeanInfo()`
`Object` | `invoke(org.jboss.invocation.Invocation invocation)` The invoker entry point.
`Object` | `invoke(String actionName, Object[] params, String[] signature)` The JMX DynamicMBean invoke entry point.

Methods inherited from class org.jboss.mx.util.DynamicMBeanSupport
`getAttribute, getAttributes, setAttribute, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HAInvokerWrapper

    public HAInvokerWrapper(javax.management.MBeanServer mbeanServer,
                            javax.management.ObjectName targetName,
                            HATarget target)

Method Detail

### invoke

    public Object invoke(String actionName,
                         Object[] params,
                         String[] signature)
                  throws javax.management.MBeanException,
                         javax.management.ReflectionException

  The JMX DynamicMBean invoke entry point. This only handles the invoke(Invocation) operation.

  Parameters:
    `actionName` -
    `params` -
    `signature` -
  Returns:
  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### invoke

    public Object invoke(org.jboss.invocation.Invocation invocation)
                  throws Exception

  The invoker entry point.

  Parameters:
    `invocation` -
  Returns:
    A HARMIResponse that wraps the result of calling invoke(Invocation) on the targetName MBean
  Throws:
    `Exception`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.